﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace WpfApplication
{
    public class Books : ObservableCollection<Book>
    {
        public Books()
            : base()
        {
            Add(new Book("Pride and Prejudice", "Jane Austen"));
            Add(new Book("Far from the Madding Crowd", "Thomas Hardy"));
            Add(new Book("The Day of the Jackal", "Frederick Forysth"));
            Add(new Book("Blink", "Malcolm Gladwell"));
            Add(new Book("The Color Purple", "Alice Walker"));
            Add(new Book("Emma", "Jane Austen"));
        }
    }
    public class Book
    {
        private string name;
        private string author;
        public Book(string nm, string au)
        {
            this.name = nm;
            this.author = au;
        }
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        public string Author
        {
            get { return author; }
            set { author = value; }
        }
    }
}
