﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
// Add the service reference manually
using TreeViewDemo.NorthwindServiceReference;
namespace TreeViewDemo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
{
try
{
InitializeComponent();
// Create an instance of the Service class.
var client = new NorthwindServiceClient();
client.GetDataCompleted += new EventHandler<GetDataCompletedEventArgs>(client_GetDataCompleted);
client.GetDataAsync();
}
catch (Exception ex)
{
MessageBox.Show(ex.StackTrace);
MessageBox.Show(ex.Message);
}
}
        void client_GetDataCompleted(object sender, GetDataCompletedEventArgs e)
        {
            var lst = e.Result;
            MessageBox.Show(lst.Count.ToString());
            try
            {
                this.TreeView1.DataContext = lst;
                this.TreeView1.ItemsSource = lst;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message.ToString());
                MessageBox.Show(ex.StackTrace.ToString());
            }
        }
    }
}