﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Silverlight_and_Data.NorthwindServiceReference;

namespace Silverlight_and_Data
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            var client = new NorthwindServiceClient();
            client.GetCustomersCompleted += new EventHandler<GetCustomersCompletedEventArgs>(client_GetCustomersCompleted);

            client.GetCustomersAsync();
        }

        void client_GetCustomersCompleted(object sender, GetCustomersCompletedEventArgs e)
        {
            this.dgCustomers.DataContext = e.Result;
        }



        private void dgCustomers_AutoGeneratingColumn(object sender, DataGridAutoGeneratingColumnEventArgs e)
        {
            if ((e.PropertyName == "EntityState") || (e.PropertyName == "EntityKey"))
            {
                e.Cancel = true;
            }
        }
    }

}